Bug 586342 - java client package should include the examples
Summary: java client package should include the examples
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
(Show other bugs)
Version: Development
Hardware: All Linux
high
medium
Target Milestone: 1.3
: ---
Assignee: Rajith Attapattu
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 11:15 UTC by Gordon Sim
Modified: 2011-07-14 17:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 17:46:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gordon Sim 2010-04-27 11:15:52 UTC
The examples are no longer shipped in rhm-docs, but are instead shipped along with each client (e.g. for c++ they are in qpid-cpp-client-devel, for python in python-qpid). We need the java examples to be included in the java client package.

Comment 1 Gordon Sim 2010-05-21 08:23:27 UTC
As of 0.7.946106 only the hello world example is included. Is this deliberate?

Comment 2 Rajith Attapattu 2010-06-03 14:29:36 UTC
As of 0.7.946106-3 the following examples are there

1. Hello World
2. Map Sender and Receiver
3. Drain and Spout.

The examples also includes an example log4j config file that demonstrates how to use the slf4j-log4j functionality.


Note You need to log in before you can comment on or make changes to this bug.